Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ptar

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# ptar

- NAME
- DESCRIPTION
- SYNOPSIS
- OPTIONS
- SEE ALSO

# NAME

        ptar - a tar-like program written in perl

# DESCRIPTION

        ptar is a small, tar look-alike program that uses the perl module    Archive::Tar to extract, create and list tar archives.

# SYNOPSIS

        ptar -c [-v] [-z] [-C] [-f ARCHIVE_FILE | -] FILE FILE ...    ptar -c [-v] [-z] [-C] [-T index | -] [-f ARCHIVE_FILE | -]    ptar -x [-v] [-z] [-f ARCHIVE_FILE | -]    ptar -t [-z] [-f ARCHIVE_FILE | -]    ptar -h

# OPTIONS

        c   Create ARCHIVE_FILE or STDOUT (-) from FILE    x   Extract from ARCHIVE_FILE or STDIN (-)    t   List the contents of ARCHIVE_FILE or STDIN (-)    f   Name of the ARCHIVE_FILE to use. Default is './default.tar'    z   Read/Write zlib compressed ARCHIVE_FILE (not always available)    v   Print filenames as they are added or extracted from ARCHIVE_FILE    h   Prints this help message    C   CPAN mode - drop 022 from permissions    T   get names to create from file

# SEE ALSO

        tar(1), L<Archive::Tar>.

Page index

- NAME
- DESCRIPTION
- SYNOPSIS
- OPTIONS
- SEE ALSO